import { GraphQLSchema } from 'graphql';
import { BaseDocumentsVisitor, DeclarationKind, LoadedFragment, ParsedDocumentsConfig } from '@graphql-codegen/visitor-plugin-common';
import { FlowDocumentsPluginConfig } from './config.cjs';
export interface FlowDocumentsParsedConfig extends ParsedDocumentsConfig {
    useFlowExactObjects: boolean;
    useFlowReadOnlyTypes: boolean;
}
export declare class FlowDocumentsVisitor extends BaseDocumentsVisitor<FlowDocumentsPluginConfig, FlowDocumentsParsedConfig> {
    constructor(schema: GraphQLSchema, config: FlowDocumentsPluginConfig, allFragments: LoadedFragment[]);
    protected getPunctuation(declarationKind: DeclarationKind): string;
    getImports(): Array<string>;
}
